<?php
if (!function_exists('add_action')) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}
$currentUserID = get_current_user_id();

global $wpdb;
$sql = $wpdb->prepare("SELECT `id` FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$userExist = $wpdb->get_row($sql);

if (isset($_POST) && $_POST['prgC_save'] == '1') {
	if (empty($_POST['prg_presse']) ||
			empty($_POST['prg_fname']) ||
			empty($_POST['prg_lname']) ||
			empty($_POST['prg_address']) ||
			empty($_POST['prg_pc']) ||
			empty($_POST['prg_city']) ||
			empty($_POST['prg_phone']) ||
			empty($_POST['prg_email']) ||
			empty($_POST['prg_www']) ||
			empty($_POST['prg_presse'])) :
		?>
		<div>
			Bitte alle Felder ausfüllen!
		</div>
		<?php
	else :


		if (empty($userExist)) {

			$url = 'http://www.pr-gateway.de/wpplugin/getToken.php';
			$post = array(
				'id' => get_current_user_id(),
				'url' => get_option('home'),
			);

			$ch = curl_init();

			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_POST, true);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

			$resultJson = curl_exec($ch);
			curl_close($ch);

			$result = json_decode($resultJson);

			$sqlSaveUser = $wpdb->prepare("INSERT INTO `prg_connect_config` 
				(`author_id`,`presse`, `fname`, `lname`, address, `pc`, `city`, `phone`, `email`, `www`, `UserBlogToken`)
				VALUES (%d,%s,%s,%s,%s,%s,%s,%s,%s,%s,%s)", $currentUserID, $_POST['prg_presse'], $_POST['prg_fname'], $_POST['prg_lname'], $_POST['prg_address'], $_POST['prg_pc'], $_POST['prg_city'], $_POST['prg_phone'], $_POST['prg_email'], $_POST['prg_www'], $result->token);
		} else {
			$sqlSaveUser = $wpdb->prepare("UPDATE `prg_connect_config`
				SET
				`presse` = %s,
				`fname` = %s,
				`lname` = %s,
				`address` = %s,
				`pc` = %s,
				`city` = %s,
				`phone` = %s,
				`email` = %s,
				`www` = %s
				WHERE `author_id` = %d", $_POST['prg_presse'], $_POST['prg_fname'], $_POST['prg_lname'], $_POST['prg_address'], $_POST['prg_pc'], $_POST['prg_city'], $_POST['prg_phone'], $_POST['prg_email'], $_POST['prg_www'], $currentUserID);
		}
		$wpdb->query($sqlSaveUser);
	endif;
}

$sqlUserData = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$savedUser = $wpdb->get_row($sqlUserData);

if ($savedUser->lang == 'de') {
	include dirname(__FILE__) . '/../languages/de.php';
} elseif ($savedUser->lang == 'en') {
	include dirname(__FILE__) . '/../languages/en.php';
}
?>
<div id="prgLogo">
	<a href="http://www.pr-gateway.de" target="_blank"><img id="imgLarge" src="<?php echo plugins_url('/images/pr-gateway_large1.png', dirname(__FILE__)); ?>"></a>
</div>
<div class="pull-right">
	<button id="configFBBtn" type="button" class="pull-right btn btn-info" onclick="window.open('http://www.pr-gateway.de/wpplugin/feedbackformular.php?lang=<?php echo $text['aktiveSprache']; ?>', 'Social Connect Feedback', 'width=650,height=500,scrollbars=yes,toolbar=no,status=no,resizable=no,menubar=no,location=no,directories=no,top=20,left=20');">
		<?php echo $text['Feedback abgeben']; ?>
	</button>
</div>
<div class="clear">

</div>
<input type="hidden" name="lang" id="lang" value="<?php echo $text['aktiveSprache'] ?>" />
<div class="page-header">
	<h3>
		<?php echo $text['configHeader']; ?>
	</h3>
</div>
<div id="configPage">
	<div id="configForm">
		<form method="POST" id="prg_cfgForm" class="form-horizontal">
			<div id="presse">
				<div class="form-group">
					<label class="col-md-12"><small><?php echo $text['Firma']; ?></small></label>
					<div class="col-md-12">
						<input id="prg_presse" class="form-control" type="text" value="<?php echo $savedUser->presse; ?>" placeholder="<?php echo $text['Firma']; ?>" name="prg_presse">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-5"><small><?php echo $text['Vorname']; ?></small></label>
					<label class="col-md-7"><small><?php echo $text['Nachname']; ?></small></label>
					<div class="col-md-5">
						<input id="prg_fname" class="form-control" type="text" value="<?php echo $savedUser->fname; ?>" placeholder="<?php echo $text['Vorname']; ?>" name="prg_fname">
					</div>
					<div class="col-md-7">
						<input id="prg_lname" class="form-control" type="text" value="<?php echo $savedUser->lname; ?>" placeholder="<?php echo $text['Nachname']; ?>" name="prg_lname">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-12"><small><?php echo $text['Straße']; ?></small></label>
					<div class="col-md-12">
						<input id="prg_address" class="form-control" type="text" value="<?php echo $savedUser->address; ?>" placeholder="<?php echo $text['Straße']; ?>" name="prg_address">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-4"><small><?php echo $text['Postleitzahl']; ?></small></label>
					<label class="col-md-8"><small><?php echo $text['Stadt']; ?></small></label>
					<div class="col-md-4">
						<input id="prg_pc" class="form-control" type="text" value="<?php echo $savedUser->pc; ?>" maxlength="5" placeholder="<?php echo $text['Postleitzahl']; ?>" name="prg_pc">
					</div>
					<div class="col-md-8">
						<input id="prg_city" class="form-control" type="text" value="<?php echo $savedUser->city; ?>" placeholder="<?php echo $text['Stadt']; ?>" name="prg_city">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-12"><small><?php echo $text['Telefonnummer']; ?></small></label>
					<div class="col-md-12">
						<input id="prg_phone" class="form-control" type="text" value="<?php echo $savedUser->phone; ?>" placeholder="<?php echo $text['Telefonnummer']; ?>" name="prg_phone">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-12"><small><?php echo $text['E-Mail']; ?></small></label>
					<div class="col-md-12">
						<input id="prg_email" class="form-control" type="text" value="<?php echo $savedUser->email; ?>" placeholder="<?php echo $text['E-Mail']; ?>" name="prg_email">
					</div>
				</div>
				<div class="form-group">
					<label class="col-md-12"><small><?php echo $text['Website']; ?></small></label>
					<div class="col-md-12">
						<input id="prg_www" class="form-control" type="text" value="<?php echo $savedUser->www; ?>" placeholder="<?php echo $text['Website']; ?> (http://...)" name="prg_www">
					</div>
				</div>
				<input type="hidden" name="prgC_save" value="1"/>
				<span class="pull-right">
					<button id="btnSubmit" class="btn btn-primary" type="submit" data-color="primary"><?php echo $text['Speichern']; ?></button>
				</span>
			</div>
		</form>
	</div>
</div>
<div class="clear">

</div>

<div id="prgFooter" class="pull-right">
	<a href="http://www.pr-gateway.de/impressum" target="_blank"><?php echo $text['Impressum']; ?></a>
	<a href="http://www.pr-gateway.de/datenschutz" target="_blank"><?php echo $text['Datenschutz']; ?></a>
</div>
