<?php
if (!function_exists('add_action')) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

$currentUserID = get_current_user_id();

global $wpdb;

if (isset($_POST) && $_POST['prgPlugin_save'] == '1') {
	if ($_POST['lang'] == 'de' || $_POST['lang'] == 'en') {
		$sqlUpdateData = $wpdb->prepare("UPDATE `prg_connect_config` SET `lang` = %s WHERE `author_id` = %d", $_POST['lang'], $currentUserID);
		$wpdb->query($sqlUpdateData);
		$userConfig['lang'] = $_POST['lang'];
		$userConfig = (object) $userConfig;
		echo '<meta http-equiv="refresh" content="0; URL=?page=prgpluginconfig">';
		exit;
	}
} else {
	$sql = $wpdb->prepare("SELECT `lang` FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
	$userConfig = $wpdb->get_row($sql);
}

if ($userConfig->lang == 'de') {
	include dirname(__FILE__) . '/../languages/de.php';
} elseif ($userConfig->lang == 'en') {
	include dirname(__FILE__) . '/../languages/en.php';
}
?>

<div id="prgLogo">
	<a href="http://www.pr-gateway.de" target="_blank"><img id="imgLarge" src="<?php echo plugins_url('/images/pr-gateway_large1.png', dirname(__FILE__)); ?>"></a>
</div>
<div class="clear">

</div>
<input type="hidden" name="lang" id="lang" value="<?php echo $text['aktiveSprache'] ?>" />
<div class="page-header">
	<h3>
		<?php echo $text['Einstellungen']; ?>
	</h3>
</div>

<div id="configPage">
	<div id="configForm">
		<form method="POST" id="prg_cfgForm" class="form-horizontal">
			<div class="form-group">
				<label class="col-md-12"><small><?php echo $text['Sprache auswählen']; ?></small></label>
				<div class="col-md-12">
					<select name="lang">
						<option value="en">
							<?php echo $text['Englisch']; ?>
						</option>
						<option value="de" selected="selected">
							<?php echo $text['Deutsch']; ?>
						</option>
					</select>
				</div>
			</div>
			<input type="hidden" name="prgPlugin_save" value="1"/>
			<span class="pull-right">
				<button id="btnSubmit" class="btn btn-primary" type="submit" data-color="primary"><?php echo $text['Speichern']; ?></button>
			</span>
		</form>
	</div>
</div>
<div class="clear">

</div>

<div id="prgFooter" class="pull-right">
	<a href="http://www.pr-gateway.de/impressum" target="_blank"><?php echo $text['Impressum']; ?></a>
	<a href="http://www.pr-gateway.de/datenschutz" target="_blank"><?php echo $text['Datenschutz']; ?></a>
</div>

