<?php
if (!function_exists('add_action')) {
    echo '<div class="page-header"><h2>Hi there!  I\'m just a plugin</h2></div><p>, not much I can do when called directly.</p>';
    exit;
}

if (!isset($_SESSION['prg_id'])) {
    echo '<div class="page-header"><h2>PR-Gateway Login <small>erforderlich</small></h2></div><p>Um Ihre Mitteilung an PR-Gateway zu übermitteln und anschließend an Portale zu veröffentlichen müssen Sie sich zuerst bei PR-Gateway anmelden.</p>';
    exit;
}

require_once dirname(__FILE__) . '/../Controller/getWpImages.php';

$page_data = get_page(substr($_GET['blogid'], 5));
$currentUserID = get_current_user_id();

global $wpdb;

$sqlUserData = $wpdb->prepare("SELECT * FROM `prg_connect_config` WHERE `author_id` = %d", $currentUserID);
$savedUser = $wpdb->get_row($sqlUserData);

if ($savedUser->lang == 'de') {
    include dirname(__FILE__) . '/../languages/de.php';
} elseif ($savedUser->lang == 'en') {
    include dirname(__FILE__) . '/../languages/en.php';
}

//if ($page_data->post_author != $currentUserID) {
//	echo '<div class="page-header"><h2>' . $text['Nur eigene Beiträge dürfen übermittelt werden'] . '</h2></div>';
//	exit;
//}

$katsXml = simplexml_load_file('http://www.pr-gateway.de/tools/category.php');
$kats = '';
foreach ($katsXml as $val) {
    $kats .= '<option value="' . $val->id . '">' . $val->titel . '</option>' . PHP_EOL;
}
?>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv = "Content-Type" content = "text/html; charset=UTF-8">
        <title><?php echo $text['PR-Gateway Connect - Versandformular']; ?></title>
        <link rel = "stylesheet" id = "Bootstrap-css" href = "<?php echo plugins_url('css/bootstrap.min.3_0_3.css', dirname(__FILE__)); ?>" type = "text/css" media = "all">
        <link rel = "stylesheet" id = "PRG-Form-css" href = "<?php echo plugins_url('css/prg_connect_form.1_0.css', dirname(__FILE__)); ?>" type = "text/css" media = "all">
        <script type = "text/javascript" src = "<?php echo plugins_url('js/jquery.min.1_7.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/prg_connect_form.1_0.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/bootstrap.min.3_0_3.js', dirname(__FILE__)); ?>"></script>
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.validate.min.1_9.js', dirname(__FILE__)); ?>"></script>
        <link rel="stylesheet" id="FancyBoxStyle-css"  href="<?php echo plugins_url('css/jquery.fancybox-1_3_4.css', dirname(__FILE__)); ?>" type="text/css" media="all">
        <script type="text/javascript" src="<?php echo plugins_url('js/jquery.fancybox-1_3_4.pack.js', dirname(__FILE__)); ?>"></script>
    </head>
    <body>
        <input type="hidden" name="lang" id="lang" value="<?php echo $text['aktiveSprache'] ?>">
        <form method="POST" id="prgConnect_sendPress" enctype="multipart/form-data">
            <fieldset>
                <div class="col-md-12">
                    <div class="col-md-6">
                        <h3>
                            <span class="label label-primary"><?php echo $text['Meldung verfassen']; ?></span>
                        </h3>
                    </div>
                    <div class="col-md-4">
                        <h3>
                            <span id="clientdata" class="label label-primary"><?php echo $text['Kontaktdaten angeben']; ?></span>
                        </h3>
                    </div>
                </div>
                <div id="leftPublishForm">
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Kategorie']; ?></small></label>
                        <div class="col-md-11">
                            <select name="prg_cat" id="prg_cat" class="form-control">
                                <?php echo $kats; ?>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Titel']; ?></small></label>
                        <div class="col-md-11">
                            <input id="prg_title" name="prg_title" maxlength="150" placeholder="<?php echo $text['Empfehlung: nicht mehr als 63 Zeichen']; ?>" class="form-control" type="text" value="<?php echo $page_data->post_title ?>">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Untertitel']; ?> <small>(optional)</small></small></label>
                        <div class="col-md-11">
                            <input id="prg_subline" name="prg_subline" placeholder="<?php echo $text['Untertitel']; ?>" class="form-control" type="text" value="">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Video']; ?>  <small>(optional)</small></small></label>
                        <div class="col-md-11">
                            <input id="prg_vidlink" name="prg_vidlink" placeholder="<?php echo $text['Video']; ?>" class="form-control" type="text" value="">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Meldungstext']; ?></small></label>
                        <div class="col-md-11">                     
                            <textarea id="prg_text" name="prg_text" rows="10" data-provide="markdown" class="form-control" placeholder="<?php echo $text['Meldungstext']; ?>"><?php echo str_replace('[gallery]', '', trim(strip_tags($page_data->post_content))); ?></textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Schlüsselwörter']; ?> <small>(optional)</small></small></label>
                        <div class="col-md-11">                     
                            <input id="prg_keywords" name="prg_keywords" maxlength="200" placeholder="<?php echo $text['Schlüsselwörter']; ?>" class="form-control" type="text" value="">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-11"><small><?php echo $text['Kurzbeschreibung']; ?> <small>(optional)</small></small></label>
                        <div class="col-md-11">                     
                            <textarea id="prg_short" name="prg_short" rows="4" class="form-control" placeholder="<?php echo $text['Kurzbeschreibung']; ?>"></textarea>
                        </div>
                    </div>
                </div>
                <div id="rightPublishForm">
                    <div class="col-md-12">
                        <ul id="formContact" class="nav nav-tabs">
                            <li class="active">
                                <a data-toggle="tab" href="#mandant"><?php echo $text['Firma']; ?></a>
                            </li>
                            <li class="">
                                <a data-toggle="tab" href="#presse"><?php echo $text['Pressekontakt']; ?></a>
                            </li>
                        </ul>
                    </div>
                    <div id="myTabContent" class="tab-content">
                        <div id="mandant" class="tab-pane active">
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Firmen-Bezeichnung']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_firm_name" name="prg_firm_name" placeholder="<?php echo $text['Name der Firma']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4"></label>
                                <label class="col-md-8"><small><?php echo $text['Vorname & Nachname']; ?></small></label>
                                <div class="col-md-4">
                                    <select name="prg_firm_anrede" id="prg_firm_andrede" class="form-control">
                                        <option value="Frau"><?php echo $text['Frau']; ?></option>
                                        <option value="Herr"><?php echo $text['Herr']; ?></option>
                                    </select>
                                </div>
                                <div class="col-md-8">
                                    <input id="prg_firm_partner" name="prg_firm_partner" placeholder="<?php echo $text['Name']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Straße Hausnummer']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_firm_add" name="prg_firm_add" placeholder="<?php echo $text['Straße Hausnummer']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3"><small><?php echo $text['PLZ']; ?></small></label>
                                <label class="col-md-9"><small><?php echo $text['Stadt']; ?></small></label>
                                <div class="col-md-3">
                                    <input id="prg_firm_pc" name="prg_firm_pc" maxlength="5" placeholder="<?php echo $text['PLZ']; ?>" class="form-control" type="text" value="">
                                </div>
                                <div class="col-md-9">
                                    <input id="prg_firm_city" name="prg_firm_city" placeholder="<?php echo $text['Stadt']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Land']; ?></small></label>
                                <div class="col-md-12">
                                    <select name="prg_firm_state" id="prg_firm_state" class="form-control">
                                        <option value="Deutschland" selected="selected"><?php echo $text['Deutschland']; ?></option>
                                        <option value="Österreich"><?php echo $text['Österreich']; ?></option>
                                        <option value="Schweiz"><?php echo $text['Schweiz']; ?></option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Telefon']; ?>  <small>(optional)</small></small></label>
                                <div class="col-md-12">
                                    <input id="prg_firm_tel" name="prg_firm_tel" placeholder="<?php echo $text['Telefon']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['E-Mail (Hinweis: mail@IhreWebseite.de)']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_firm_email" name="prg_firm_email" placeholder="<?php echo $text['E-Mail-Adresse']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Webseite (Hinweis: http://www.IhreWebseite.de)']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_firm_url" name="prg_firm_url" placeholder="<?php echo $text['Link zu Ihrer Webseite']; ?>" class="form-control" type="text" value="">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Firmenbeschreibung']; ?></small></label>
                                <div class="col-md-12">
                                    <textarea id="prg_firm_descr" name="prg_firm_descr" rows="6" class="form-control" placeholder="<?php echo $text['Beschreibung']; ?>"></textarea>
                                </div>
                            </div>
                        </div>
                        <div id="presse" class="tab-pane">
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Firma / Agentur']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_presse" type="text" name="prg_presse" value="<?php echo $savedUser->presse; ?>" placeholder="<?php echo $text['Firma / Agentur']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-6"><small><?php echo $text['Vorname']; ?></small></label>
                                <label class="col-md-6"><small><?php echo $text['Nachname']; ?></small></label>
                                <div class="col-md-6">
                                    <input id="prg_fname2" type="text" name="prg_fname2" value="<?php echo $savedUser->fname; ?>" placeholder="<?php echo $text['Vorname']; ?>" class="form-control">
                                </div>
                                <div class="col-md-6">
                                    <input id="prg_lname2" type="text" name="prg_lname2" value="<?php echo $savedUser->lname; ?>" placeholder="<?php echo $text['Nachname']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Straße Hausnummer']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_address2" type="text" name="prg_address2" value="<?php echo $savedUser->address; ?>" placeholder="<?php echo $text['Straße Hausnummer']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-4"><small><?php echo $text['PLZ']; ?></small></label>
                                <label class="col-md-8"><small><?php echo $text['Ort']; ?></small></label>
                                <div class="col-md-4">
                                    <input id="prg_pc2" type="text" name="prg_pc2" value="<?php echo $savedUser->pc; ?>" placeholder="<?php echo $text['PLZ']; ?>" class="form-control">
                                </div>
                                <div class="col-md-8">
                                    <input id="prg_city2" type="text" name="prg_city2" value="<?php echo $savedUser->city; ?>" placeholder="<?php echo $text['Ort']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Telefonnummer']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_phone2" type="text" name="prg_phone2" value="<?php echo $savedUser->phone; ?>" placeholder="<?php echo $text['Telefonnummer']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['E-Mail']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_email2" type="text" name="prg_email2" value="<?php echo $savedUser->email; ?>" placeholder="<?php echo $text['E-Mail']; ?>" class="form-control">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-12"><small><?php echo $text['Website']; ?></small></label>
                                <div class="col-md-12">
                                    <input id="prg_www2" type="text" name="prg_www2" value="<?php echo $savedUser->www; ?>" placeholder="<?php echo $text['Website']; ?>" class="form-control">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="bottomPublishForm">
                    <div id="imgChose" class="col-md-12">
                        <h3>
                            <span class="label label-primary"><?php echo $text['Bild auswählen']; ?></span>
                        </h3>
                        <div id="divImg1" class="col-md-2 picList">
                            <label class="col-md-12" for="img0"><img class="imgs" src="<?php echo plugins_url('/images/placeholder.png', dirname(__FILE__)); ?>"></label>
                            <div class="text-center">
                                <input checked="checked" id="img0" type="radio" name="image" value="">
                            </div>
                        </div>
                        <?php
                        if (display_images_in_list('thumbnail', $page_data->ID)) :
                            $i = 0;
                            $images = display_images_in_list('full', $page_data->ID);
                            foreach ($images[0] as $key => $image) :
                                $i++;
                                ?>
                                <div id="divImg<?php echo $i + 1; ?>" class="col-md-2 picList">
                                    <label class="col-md-12" for="img<?php echo $i + 1; ?>"><img class="imgs" src="<?php echo $images[1][$key][0]; ?>"></label>
                                    <div class="text-center">
                                        <input class="newImg" id="img<?php echo $i + 1; ?>" type="radio" name="image" value="<?php echo $image[3]; ?>">
                                    </div>
                                </div>
                            <?php endforeach; ?>
                            <div class="clear">

                            </div>
                            <div id="img_rights">
                                <div class="col-md-12">
                                    <div class="col-md-6">
                                        <label class="col-md-5"><small><?php echo $text['Bildtitel']; ?></small></label>
                                        <div class="col-md-5">
                                            <input id="prg_pictitle" name="prg_pictitle" placeholder="<?php echo $text['Name des Bildes']; ?>" class="form-control" type="text" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="col-md-6">
                                        <label class="col-md-5"><small><?php echo $text['Urheber des Bildes']; ?></small></label>
                                        <div class="col-md-5">
                                            <input id="prg_owner" name="prg_owner" placeholder="<?php echo $text['Urheber des Bildes']; ?>" class="form-control" type="text" value="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        endif;
                        ?>
                    </div>
                    <input type="hidden" name="prg_send" value="1">			
                    <input type="hidden" name="prg_lang" value="de">
                    <input type="hidden" name="prg_isjs" value="0">
                    <input type="hidden" value="0" name="status">
                    <input type="hidden" value="" name="message_id">
                    <input type="hidden" value="pm" name="channel">
                    <input type="hidden" value="<?php echo $page_data->ID; ?>" name="blogid">
                    <input type="hidden" value="<?php echo $_SESSION['prg_id']; ?>" name="userid">
                    <input type="hidden" value="direct_insert_news" name="action">
                    <input type="hidden" value="2" name="prg_rightbox">
                    <input type="hidden" value="<?php echo get_option('home'); ?>" name="prg_origin">
                    <div id="submitDiv">
                        <button type="submit" name="draft" value="1" class="btn btn-success" id="submitDraft" data-color="primary"><?php echo $text['Meldung als Entwurf speichern']; ?></button>
                        <button type="submit" name="publish" value="1" class="btn btn-success" data-color="primary"><?php echo $text['Meldung veröffentlichen']; ?></button>
                    </div>
                </div>
            </fieldset>
            <div id="clearbot">

            </div>
        </form>
    </body>
</html>